Package de.willuhn.jameica.hbci.search

# Class KontoSearchProvider

java.lang.Object
de.willuhn.jameica.hbci.search.KontoSearchProvider

All Implemented Interfaces:
  `de.willuhn.jameica.search.SearchProvider`

public class KontoSearchProvider extends Object implements de.willuhn.jameica.search.SearchProvider
Implementierung einen Search-Provider fuer die Suche nach Konten.

## Constructor Summary

Constructors
Constructor
Description
`KontoSearchProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`List`
`search(String search)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoSearchProvider

public KontoSearchProvider()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `de.willuhn.jameica.search.SearchProvider`

### search

public List search(String search) throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `search` in interface `de.willuhn.jameica.search.SearchProvider`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`